Bug 219164 - Review Request: fontypython - TTF font manager
Review Request: fontypython - TTF font manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-11 11:59 EST by Chris Mohler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 22:00:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mock build log of fontpython 0.2.0-1 (27.86 KB, text/plain)
2006-12-11 13:27 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Chris Mohler 2006-12-11 11:59:38 EST
Spec URL: http://cr33.is-a-geek.com/RPMS/fontypython.spec
SRPM URL: http://cr33.is-a-geek.com/RPMS/fontypython-0.2.0-1.src.rpm
Description: Manage your ttf fonts on Gnu/Linux with Fonty Python.
    
You can collect any fonts together ( even ones not in your system font folders )into 'pogs' and then install and remove the pogs as you need them.
    
In this way you can control what fonts are in your user font folder - thus avoiding long lists of fonts in the font chooser dialogues of your apps.

FontyPython basically makes symlinks from various font sources to ~/.fonts
Comment 1 Mamoru TASAKA 2006-12-11 13:27:43 EST
Created attachment 143309 [details]
Mock build log of fontpython 0.2.0-1

Well,
* I cannot find your name in owners.list. If this package is
  the first package you try to import to Fedora Extras, then
  you have to get sponsored. Please check:
http://fedoraproject.org/wiki/Extras/HowToGetSponsored

For general packaging information, please check:
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Then:
* mockbuild fails on FC-devel i386. Perhaps some
  BuildRequires are missing.
  Note: for FC-devel (rawhide), python is 2.5!
-----------------------------------------------------
[tasaka1@localhost ~]$ rpm -q python
python-2.5-2.fc7
-----------------------------------------------------
  Please make it sure that your spec file works well for
  both python 2.4/2.5 .

* Please check the dependency for this package and add
  the needed Requires correctly.
--------------------------
[tasaka1@localhost fontypython]$ ( for f in *py ; do grep import $f ; done ) |
grep -v ^# | sort | uniq
		import re
    import wxversion
from  fontitem import *
from basicfontlist import *
from emptyview import *
from folder import *
from optparse import OptionParser
from pathcontrol import * 
from pog import *
from pubsub import *
from wx.lib.splitter import MultiSplitterWindow
gui = __import__ ( "fontypython." + chosengui ) 
if fpsys.config.max: import dialogues
import	wx.html as  html
import Image, ImageFont, ImageDraw 
import cli
import fontybugs
import fpsys
import fpsys # Global objects
import fpversion
import imp
import os
import pathcontrol
import pathcontrol 
import strings
import sys
import sys, os
import sys, os, pickle
import wx
import wx.lib.scrolledpanel
import wx.lib.statbmp
try: import Image, ImageFont, ImageDraw 
try: import wx
---------------------------
Comment 2 Mamoru TASAKA 2006-12-11 13:33:03 EST
And:

* I think /usr/bin/fp should be renamed.
( to /usr/bin/fontpython, for example )

* Copyright clause in %description is not necessary.
Comment 3 Chris Mohler 2006-12-11 18:12:29 EST
Spec URL: http://cr33.is-a-geek.com/RPMS/fontypython.spec
SRPM URL: http://cr33.is-a-geek.com/RPMS/fontypython-0.2.0-2.src.rpm

%changelog
* Mon Dec 11 2006 Chris Mohler <cr33dog@gmail.com> 0.2.0-2
- Added wxPython, python-imaging to build requires
- Removed copyright notice from description

Thanks for reminding me about mock.

Mock build completes in fedora-6, but not in fedora-devel (should the
bug/package version be fc6?)  I'm not sure it's a problem with the package -
I've pasted sections of the root.log from the devel build below:

...
Executing /usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-development-i386-core/root resolvedep  'python
-imaging' 'desktop-file-utils' 'python-devel' 'rpmdevtools' 'wxPython'
0:python-imaging-1.1.5-6.fc6.i386
0:desktop-file-utils-0.12-1.fc7.i386
0:python-devel-2.5-3.fc7.i386
0:rpmdevtools-5.3-1.fc6.noarch
0:wxPython-2.6.3.2-2.fc6.i386
...
Executing /usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-development-i386-core/root install  'python-im
aging' 'desktop-file-utils' 'python-devel' 'rpmdevtools' 'wxPython'
Error: Missing Dependency: python(abi) = 2.4 is needed by package python-imaging
Error: Missing Dependency: python(abi) = 2.4 is needed by package wxPython
...

I will contact the author regarding renaming /usr/bin/fp - I believe I'll have
to edit setup.py in order to make that change.

My BZ account won't let me view the sponsor list, I've added 'FE-NEEDSPONSOR' to
the blocks section.

I could use pointers on getting it to compile im mock devel.
Comment 4 Chris Mohler 2006-12-11 18:59:03 EST
I see that python-imaging and wxpython are on the broken packages list...
Comment 5 Mamoru TASAKA 2006-12-12 00:27:02 EST
Well,

* please check if the dependency a package (python-imaging, ...) should
  be BuildRequires or Requires or _both_ .
  From setup.py, wxPython, python-imaging is needed for BuildRequires,
  surely. And, as I noted in comment #1, these dependency should also
  required by "Requires".
  Note that python-related dependency is currently not checked
  automatically by rpmbuild and we have to check these manually.

  Currently I get the following error:
---------------------------------------------
[tasaka1@localhost ~]$ fp
Neither wxgui nor qtgui interfaces could be found. Please consult the help.
---------------------------------------------

* Is rpmdevtools required for BuildRequires?

* for desktop files:
  Category Application is deprecated and this is warned by
  desktop-file-utils >= 0.11. Please remove this.

* rpmlint complains about description-line-too-long.
  (rpmlint command is in "rpmlint" rpm in Fedora Extras)
  This means:
-------------------------------------------------
[tasaka1@localhost SRPMS]$ rpmlint -I description-line-too-long
description-line-too-long :
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.
--------------------------------------------------

* for src.rpm:
---------------------------------------------------
W: fontypython strange-permission fontypython.desktop 0600
W: fontypython strange-permission fontypython.spec 0600
---------------------------------------------------
  Please change the permisson to 0644.

(In reply to comment #4)
> I will contact the author regarding renaming /usr/bin/fp - I believe I'll have
> to edit setup.py in order to make that change.
I think
------------------------------------
mv ${RPM_BUILD_ROOT}%{_bindir}/fp ${RPM_BUILD_ROOT}%{_bindir}/fontypython
------------------------------------
meet the demand.

  For mock problem on FC-devel, python-imaging is updated to
  python-imaging-1.1.5-7.fc7 (this is in queue and not published yet)
  and I rebuilt wxPython locally so I can check this by mockbuild.
Comment 6 Chris Mohler 2006-12-12 23:06:44 EST
Sorry for delay - I've been re-evaluating build practices.  Should have
something tangible tomorrow...
Comment 7 Chris Mohler 2006-12-13 23:39:22 EST
Spec URL: http://cr33.is-a-geek.com/RPMS/fontypython.spec
SRPM URL: http://cr33.is-a-geek.com/RPMS/fontypython-0.2.0-3.src.rpm

%changelog
- removed rpmdevtools from BuildRequires
- added python >= 2.4, wxPython, python-imaging to Requires
- removed 'Application;' from .desktop file
- shortened line length of description

The author prefers /usr/bin/fp for CLI use.  If this is out-of-line with
packaging guidelines, I will add the 'mv' to the specfile.  Otherwise, I humbly
ask that it be left as it is.

I built it under mock fc6 and installed it in mock fc6 as well.  I did not
build/install it in mock devel.  The SRPM passes rpmlint.

I'm not sure about this:
Requires:       python >= 2.4

Also, what's the best way to ensure that it builds install with Python 2.4 and 2.5?



Comment 8 Mamoru TASAKA 2006-12-14 09:33:44 EST
Well, now I do a full review.

A. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Requires
  - python >= 2.4
  Current rpm automatically checks python abi requirement,
  so this requirement is not needed.
----------------------------------------------
[tasaka1@localhost things]$ rpm -q --requires fontypython
/usr/bin/python  
python >= 2.4
python(abi) = 2.5 <- this is automatically by rpmbuild process
python-imaging  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
wxPython  
----------------------------------------------

B. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
* The sources used to build the package must.....
  - Please specify the URL of Source0.

Other things are okay.

= For command name:
  - Well, in fact I maintain a rpm package named "jd", which
    contains a binary named "/usr/bin/jd"!! So I cannot reject
    it if you don't want to rename /usr/bin/fp .

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to formally review other 
submitters' review request and approve the packages. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is descriped
on :
http://fedoraproject.org/wiki/Extras/HowToGetSponsored


Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" (at the time you are not sponsored, you cannot do
   a formal review) of other person's review request.

When you submitted a new review request or have pre-reviewed other person's
review request, please write the bug number on this bug report so that I
can check your comments or review request.

Fedora Extras package review requests which are waiting for someone to review
can be checked on:
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 9 Chris Mohler 2006-12-14 20:14:55 EST
Spec URL: http://cr33.is-a-geek.com/RPMS/fontypython.spec
SRPM URL: http://cr33.is-a-geek.com/RPMS/fontypython-0.2.0-4.src.rpm

%changelog
- Corrected Source0 to include URL
- removed python >= 2.4 from Requires

OK, hopefully this latest package is now up to par.

I will try (pre)reviewing some other requests.  In the meanwhile, if someone
else wants to adopt this package I will not be offended.
Comment 10 Chris Mohler 2006-12-14 21:44:34 EST
I've pre-reviewed #218678.
Comment 11 Mamoru TASAKA 2006-12-14 22:56:28 EST
Well, okay.

-----------------------------------------------------
  This package (fontypython) is APPROVED by me.
-----------------------------------------------------

Please go forward according to 

http://fedoraproject.org/wiki/Extras/Contributors

to import this package to Fedora Extras. I will sponsor
you when you have taken steps partway written in the page above
(then I should receive the mail that you need a sponsor)

------------------------------------------------------
Note:
This package cannot be rebuilt on FE-devel 
until wxPython is rebuilt against python 2.5.
It seems that the maintainer of wxPython (on FE) wants
to upgrade it to 2.8
Comment 12 Chris Mohler 2006-12-15 21:57:41 EST
Not sure if this is the appropriate place for this, but I think that I've
completed all steps up to checking in/out of CVS - I'm awaiting some type of
notification before going further...
Comment 13 Mamoru TASAKA 2006-12-15 22:58:03 EST
Now I sponsored you and you should receive a mail.

Note: for FE-devel wxGTK and wxPython are both upgraded
to 2.8 and you can rebuild this on FE-devel, too.
Comment 14 Chris Mohler 2006-12-16 22:00:24 EST
Thanks - I'm marking resolved - NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.